
@media print {
  .visible-print  { display: inherit !important; }
  .hidden-print   { display: none !important; }
  a , button { display: none !important; } 
	
	body, input {
		font-size: 9px;
	}	
	th, td {
		padding: 2px;
	}	
}

.form-chantier .larger {
	width: 400px !IMPORTANT;
}

.select2-results .select2-highlighted {
    background: #EDECEB !important;
	color: #000 !important;
}

.erreur {
    margin-left: 5px;
    color: darkred;
}

/*

#deconnexion {
	margin-top: -50px;
	margin-left: 600px ;
}
*/	

#filtre select {
	width: 150px !IMPORTANT;
}

#filtre .ma-date {
	width: 150px !IMPORTANT;
}

.volet-deroulant {
	border: 1px grey solid ;
	-moz-border-radius: 15px;
	border-radius: 15px;
	margin: 10px ;
	padding: 10px ;
}			

.bas-page {
	margin-top : 50px ;
	margin-bottom : 10px ;
	font-size: small ;
	font-style: italic ;
	color: grey ;	 
	border-top : solid 1px lightgrey ;
	text-align : right ;
}


#lignes input {
	width: 60px ; 
}

#lignes .li-description {
	width: 400px ;
}

#lignes .li-budget, #lignes .li-date_livraison, #lignes .li-reference {
	width: 100px ;
}

#lignes .li-quantite, #lignes .li-unite {
	width: 50px ;
}


/*
#lignes input {
	width: 90% ; 
}
#lignes .fmt-description {
	width: 40% ;
}
*/



#lignes td {
	padding: 2px !IMPORTANT ;
}	

.droite {
	text-align: right !IMPORTANT;
}

.annule {
	text-decoration: line-through;
}	

#form_demande select {
	width: 400px !IMPORTANT;
}

.label_mensuel {
	display: inline-block ;
	width: 150px ;
}

.label_mensuel_rpt {
	display: inline-block ;
	width: 250px ;
}

#recherche {
	margin-top: 10px ;
	width: 200px !important;
	font-weight: bold ;
}

#indic-total, .indic-total {
	float:right;
	border:solid 1px lightgrey;
	color: darkred;
	background-color: white ;
	font-weight: bold;
	padding: 5px ;
}	

#button-recompute {
	float:right;
	cursor:pointer;
}	 	

.mytable input {
	width: 100px !important;
}	

.line-used td, .grey {
	color : grey !important ;
}	



	/* affectation des postes budgetaires */
	
	.pb1, .pb2 {
	white-space: nowrap ;
	}	
	
	/*
	.pb1 i, .pb2 i, .pball i {
	cursor: pointer ;
	}	
	*/
	
	.pb1 select, .pb2 select {
	width: 100px !important ; 
	}	
	
	/* tableau de gestion - planning */
	
	table.gestion .right, tbody#lignes-facture .right, #panel-devis .right, .synthese-devis .right {
		text-align: right !important; 
	}	
	
	table.gestion .center, .synthese-devis .center {
	text-align: center !important; 
	}	
	
	table.gestion th ,
	table.gestion td {
	padding: 6px !important;
	line-height: 15px !important;
	border-right: 1px solid #dddddd !important ;
	}
	
	table.gestion input,
	table.gestion select,
	table.gestion button {
	line-height: 15px !important;
	}
	
	table.gestion select {
	height: 25px !important;
	margin-bottom: 0px !important ;
	margin-top: 2px !important ;
	
	}
	
	table.gestion .total {
	line-height: 30px !important;
	font-weight: bold ;
	border-top: 2px solid #000000 !important ;
	border-bottom: 2px solid #000000 !important ;
	}	
	table.gestion .sub-total {
	line-height: 20px !important;
	border-top: 1px solid #000000 !important ;
	border-bottom: 1px solid #000000 !important ;
	}	
	
	table.gestion .border-top {
	border-top: 2px solid #000000 !important ;
	}	
	
	table.gestion .border-bottom {
	border-bottom: 2px solid #000000 !important ;
	}	
	
	/* blockage du header (freeze) */
	
	/* this is the main container in v_haut_page when in special mode */
	.ej-main-container {
		padding:20px; 
 	}		
 	
 /*
 	.ej-larger-container {
		width:90% !important; 
 	}		
*/

@media screen {
	/* this is common to all table header freeze */
	/* set header display */
	.freeze-header tr {
		display: block; 
/*		border-bottom: 2px solid #000000 ; */
	}
	/* set scroll height and overflow */
	.freeze-scroll {
		display: block;
		height: 500px;
		overflow: auto;
	}
}

#table.gestion {
	width: 100% ;
}	

/* affectation des postes budgetaires */

#help .btn-close-help {
	float: right ;
}	

@media screen {
	#affectation .col1 {width : 28px !important; }
	#affectation .col2 {width : 400px  !important;}
	#affectation .col3 {width : 46px !important;}
	#affectation .col4 {width : 46px !important;}
	#affectation .col5 {width : 80px !important;}
	#affectation .col5a {width : 80px !important;}
	#affectation .col6 {width : 80px !important;}
	#affectation .col7 {width : 80px !important;}
	#affectation .col8 {width : 80px !important;}
	#affectation .col9 {width : 170px !important;}
	#affectation .col10 {width : 170px !important;}
	#affectation td.col11  {width : 36px !important;}
	#affectation th.col11  {width : 52px !important;}
	
	 /* s'assurer en TESTANT que cette largeur est suffisante pour accomoder la table,
		l'ascenceur droit NE DOIT PAS ETRE COLLE A LA TABLE */	
	#affectation {
		width : 1500px;  
		overflow-x: auto;
		display: block ;
		border-bottom: 2px solid #000000 ;
	}
	
	#affectation .freeze-header tr {
		display: block; 
		border-bottom: 2px solid #000000 ;
	}
	
	#help {
		background-color: #EDECEB;

		position: absolute ;
		top: 100px;
		left:100px;

		width:800px;
		height:500px;
		cursor: move !important;
		overflow:auto;
		opacity: 1.0 ;
		border: 1px solid #000000 ;
		padding: 20px ;
	}	
}



/* synthese - horizontal freeze */

@media screen {
	#synthese .col1 {width : 224px !important; }
	#synthese .col2 {width : 100px !important; }
	#synthese .colX {width : 100px !important; }
	#synthese .col2X {width : 213px !important; }
	
	
	 /* s'assurer en TESTANT que cette largeur est suffisante pour accomoder la table,
		l'ascenceur droit NE DOIT PAS ETRE COLLE A LA TABLE */	
	#synthese {
		width : 1275px;  
		overflow-x: auto;
		display: block ;
	}
	
	#synthese .freeze-header tr {
		display: block; 
	}
}	



/* planning mo recap */

@media screen {
	#planning-mo-summary .col1, #planning-mo-summary-indirect .col1 {width : 160px ; }
	#planning-mo-summary .col2, #planning-mo-summary-indirect .col2 {width : 160px ; }
	#planning-mo-summary .col3, #planning-mo-summary-indirect .col3  {width : 60px ; }
	#planning-mo-summary .colX, #planning-mo-summary-indirect .colX {width : 80px ; }

	 /* s'assurer en TESTANT que cette largeur est suffisante pour accomoder la table,
		l'ascenceur droit NE DOIT PAS ETRE COLLE A LA TABLE */	
	#planning-mo-summary, #planning-mo-summary-indirect  {
		width : 1360px;  
		overflow-x: auto;
		display: block ;
		border-bottom: 2px solid #000000 ;
	}
}


/* planning achat */


@media screen {
	#content-planning-achat .col1 {width : 180px ; }
	#content-planning-achat .col2 {width : 180px ; }
	#content-planning-achat .col3 {width : 108px ; }
	#content-planning-achat .col4 {width : 72px ; }
	#content-planning-achat .col5 {width : 97px ; }
	#content-planning-achat .col6 {width : 216px ; }
	#content-planning-achat .col7 {width : 72px ; }
	#content-planning-achat .col8 {width : 72px ; }
	#content-planning-achat .col9 {width : 72px ; }
	

	 /* s'assurer en TESTANT que cette largeur est suffisante pour accomoder la table,
		l'ascenceur droit NE DOIT PAS ETRE COLLE A LA TABLE */	
	#content-planning-achat {
		width : 1225px;  
		overflow-x: auto;
		display: block ;
	}
}


/* planning mo planning  vertical freeze */

@media screen {

	#planning-mo-planning, #planning-mo-planning-indirect  {
		position: relative; 
		padding: 10px;
	}	

		
	#frozen-mo-planning, #frozen-mo-planning-indirect  {
        width: 900px;
        overflow-x:scroll;  
        margin-left:683px;         /* the sum of all frozen column width */
        overflow-y:visible;
    }

    #frozen-mo-planning .col1, #frozen-mo-planning .col2, #frozen-mo-planning-indirect .col1, #frozen-mo-planning-indirect .col2  {
        position:absolute;
        width:144px;
 		height: 100% ;
 		max-height: 30px; 

     }

    #frozen-mo-planning .col3, #frozen-mo-planning .col4, #frozen-mo-planning .col5, #frozen-mo-planning .col6, #frozen-mo-planning .col7,
    #frozen-mo-planning-indirect .col3, #frozen-mo-planning-indirect .col4, #frozen-mo-planning-indirect .col5, #frozen-mo-planning-indirect .col6, #frozen-mo-planning-indirect .col7  {
        position:absolute;
        width:72px;
 		height: 100% ;
 		max-height: 30px;
    }

    #frozen-mo-planning .col1, #frozen-mo-planning-indirect .col1 { left:0px }
    #frozen-mo-planning .col2, #frozen-mo-planning-indirect .col2 { left:151px } 
    #frozen-mo-planning .col3, #frozen-mo-planning-indirect .col3 { left:298px } 
    #frozen-mo-planning .col4, #frozen-mo-planning-indirect .col4 { left:375px } 
    #frozen-mo-planning .col5, #frozen-mo-planning-indirect .col5 { left:452px } 
    #frozen-mo-planning .col6, #frozen-mo-planning-indirect .col6 { left:529px } 
    #frozen-mo-planning .col7, #frozen-mo-planning-indirect .col7 { left:606px } 
    
}


/* planning mo progress vertical freeze */

@media screen {

	#planning-mo-progress {
		position: relative; 
		padding: 10px;
	}	

		
	#frozen-mo-progress {
        width: 900px;
        overflow-x:scroll;  
        margin-left:473px;         /* the sum of all frozen column width */
        overflow-y:visible;
    }

    #frozen-mo-progress .col1 {
        position:absolute;
        width:144px;
        height: 100% ;
 		max-height: 30px; 
     }
    
    #frozen-mo-progress .col2  {
        position:absolute;
        width:164px;
        height: 100% ;
 		max-height: 30px; 
     }

    #frozen-mo-progress .col3, #frozen-mo-progress .col4 {
		position:absolute;
        width:72px;
        height: 100% ;
 		max-height: 30px;
    }

    #frozen-mo-progress .col1 { left:0px }
    #frozen-mo-progress .col2 { left:151px } 
    #frozen-mo-progress .col3 { left:325px }   
	#frozen-mo-progress .col4 { left:399px }
}



#frozen-mo-planning td input, 
#frozen-mo-planning-indirect td input, 
#planning-mo-summary td input,
#planning-mo-summary-indirect td input {
/* Note: lucky I did not dpecify type="text" attribute 
	otherwise should be fixed like #frozen-mo-progress td input[type="text"] */
	width:40px !important ;
}	


#content-planning-achat td input {
	width:60px !important ;
}

#content-planning-achat td input.observation {
	width:100% !important ;
}

#content-planning-achat, #synthese {
	margin-top : 15px ;
}	

#frozen-mo-planning td, #frozen-mo-planning-indirect td, #frozen-mo-progress td , #frozen-mo-progress th {
	white-space: nowrap !important;
}	

#frozen-mo-progress td input[type="text"] {
	width:40px !important ;
	padding: 1px !important ;
	margin-bottom: 0px !important ;
}	


table.gestion .limit {
	border-right: 2px solid #000000 !important ;
}	

table.gestion .limit-small {
	border-right: 1px solid #000000 !important ;
}	

table.gestion .empty {
	border-top : 0 !important ;
	border-left : 0 !important ;
	border-right : 0 !important ;
	border-bottom : 2px solid #000000 !important ;
	height: 5px !important;
}	
	
.mon-mois {
	width: 120px ;
}		
.mon-an {
	width: 80px ;
}	

#form-litige textarea {
	width : 100% ;
}

.red {
	color: red !important;
}	

.nowrap {
	white-space: nowrap !important;
}			

.bkg {
	background-color: #F7F2AB ;
}	

#form-commande #livraison, #form-commande #adresse, #form-commande .contact  {
	width: 90% !important;
}	

#form_demande textarea {
	width:90%;
}	

#form_demande #blk-info {
	font-size: 15px ;
}	

div.ej-info {
	padding: 3px ;
	margin-top: 5px;
	margin-bottom: 5px;
	border-bottom: 1px solid lightgrey ;	
	border-top: 1px solid lightgrey ;
}	
	
div.ej-info span {
	font-weight: bold ;
}	

td.ecart {
	color: darkred ;
}

button.effacer-ecart {
	float: left;
}	
	
/* module maintenance */

#panel-questionnaire .col1 {	width: 65% ;}	
#panel-questionnaire .col2 {	width: 25% ;}	

#panel-questionnaire #nom {	width: 60% ;}	
#panel-questionnaire .li-question {	width: 90% ;}	
#panel-questionnaire .li-type {	width: 95% ;}	

#form-intervention #panel-client { color: #0078CC}  
#form-intervention #msg-no-client { color: red}  

	
#panel-intervention #panel-client .ej-statut {
	color: red ;
	font-weight: bold;
	margin-left: 100px
}	

#materiel tbody input {
	width: 100% ;
}	
	
/* highchart */

div.highcharts-tooltip > span {
    min-width:200px;
}
div.highcharts-tooltip  span.ej-tooltip-label {
    width:75px !important;
    display: inline-block;
}
div.highcharts-tooltip  span.ej-tooltip-value {
    width:75px !important;
    display: inline-block;
    text-align: right !important ;
}

/* interim */

#planning-content td input.ej-input {
	width: 60px !important ;
}

#planning-content #heures-remplacement {
	width: 60px !important ;
}

#planning-content #panel-histo {
	border: 1px grey solid ;
	padding:10px;
	margin:10px;
}


#form_contrat div.danger {
	/*font-weight: bold;*/
	color: #bd362f ;
}

#form_contrat div.info {
	/*font-weight: bold;*/
	color: #2f96b4 ;
}

span#info-mois {
	color : #0088cc;
}

/* petits devis */

/*
#lignes-devis td .li-description {
	width:25% ;
}
*/

#lignes-devis td {
	padding : 4px ;
} 

#lignes-devis .li-prix-article, #lignes-devis .li-montant  {
	width: 50px ;
}

#lignes-devis .li-unite, #lignes-devis .li-taux-tva, #lignes-devis .li-quantite, #lignes-devis .li-heures, #lignes-devis .li-coeff-vente {
	width: 30px ;
}

#lignes-devis .li-reference {
	width: 100px ;
}

#lignes-devis .li-fournisseur {
	width: 140px ;
}

#lignes-devis tr td:nth-child(4) {
	width: 50% ;
}	

#lignes-devis .li-description {
	width: 97% ;
}



table.devis tr.border td {
	border-top: 1px solid #000000 !important ;
}


/*
fournisseurs
*/
#form_fournisseur input, #form_fournisseur select {
	width: 90%;
}


/* creation bon de livraison */

.mytable td.bl-quant {
	width: 150px;
}

.mytable td.bl-observation {
	width: 250px;
}

.mytable td.bl-observation input {
	width: 100% !important; 
}

i.icon-trash:hover {
	cursor: pointer
}

/* popup window info first line devis */
span#info-first-line {
    /*background-color: #EDECEB;*/
    background-color: #000000 ;
    color: #ffffff ;
    position: absolute ;
    top: 100px;             /* will be changed dynamically */
    left:100px;             /* will be changed dynamically */    
  /*  width:75%; */
  /*  height:30px; */
    overflow:auto;
    opacity: 1.0 ;
    border : 1px solid #493DE9 ;
    border-radius: 7px;
    padding: 5px ;
}